using Hotline.Orders;
using Hotline.Share.Dtos.Order;
using SqlSugar;

namespace Hotline.Application.OrderApp
{
	public interface IOrderAnalysisApplication
	{
		Task AddAsync(AddOrderAnalysisDto dto, CancellationToken cancellationToken);
		Task UpdateAsync(UpdateOrderAnalysisDto dto, CancellationToken cancellationToken);
		Task DeleteAsync(DeleteOrderAnalysisDto dto, CancellationToken cancellationToken);
		ISugarQueryable<OrderAnalysisDto> ListQuery(OrderAnalysisListDto dto, CancellationToken cancellationToken);
		ISugarQueryable<Order> DetailQuery(OrderAnalysisDetailDto dto, CancellationToken cancellationToken);
		Task<object> ReportQuery(OrderAnalysisDetailDto dto, CancellationToken cancellationToken);
	}
}
